<?php
 
	// Empeche la lecture directe du fichier
	// *************************************
	if ( ! defined( 'ABSPATH' ) ) exit;

	// *********************************
	// Ajoute le Menu dans le BackOffice
	// *********************************
	
	Add_action ('admin_menu', 'geotools_admin');
//	Add_action ('admin_menu', 'geotools_admin_aroundme');	
	
	function geotools_admin(){
		
		global $wp_version, $_registered_pages;

		// Permet de gerer l'autorisation d'acces au plugin
		$view_level = current_user_can('geotools_manage') ? 'geotools_manage' : 'manage_options';

		// Module Trackable
		// ****************
	
		// Menu Principal
		add_menu_page ('Geo Tools',
						__('Geo Tools','geo-tools'),
						'manage_options',
						'geotools-plugin-trackable',
						'geotools_plugin_trackable_principal',
						GEOTOOLS_PLUGIN_DIR_PATH.'/images/GEOTOOLS-icon.png');						

		// Sous Principal trackable
		add_submenu_page('geotools-plugin-trackable',
						__('Geo Tools Trackable', 'geo-tools'), 
						__('Geo Tools Trackable', 'geo-tools'), 
						$view_level , 
						'geotools-plugin-trackable',
						'geotools_plugin_trackable_principal');	

		// Sous Principal Statbar
		add_submenu_page('geotools-plugin-trackable',
						__('Geo Tools Statbar', 'geo-tools'), 
						__('Geo Tools Statbar', 'geo-tools'), 
						$view_level , 
						'geotools-plugin-statbar',
						'geotools_plugin_statbar_principal');	

		// Sous Menu Settings Global au Plugin 
		add_submenu_page('geotools-plugin-trackable',
						__('Geo Tools Settings', 'geo-tools'), 
						__('Geo Tools Settings', 'geo-tools'), 
						$view_level , 
						'geotools-settings', 
						'geotools_settings');	


		// Module A Propos
		// ***************

		// Sous Menu About
		add_submenu_page('geotools-plugin-trackable', 
						__('About','geo-tools'), 
						__('About','geo-tools'),
						'manage_options',
						'geotools-about',
						'geotools_plugin_about');
	}

	function geotools_admin_aroundme(){
		
		global $wp_version, $_registered_pages;

		// Permet de gerer l'autorisation d'acces au plugin
		$view_level = current_user_can('geotools_manage') ? 'geotools_manage' : 'manage_options';

		// Module Around Me
		// ****************
		
		// Menu Principal
		add_menu_page ('Geo Tools Around Me',
						__('Geo Tools Around Me','geo-tools'),
						'manage_options',
						'geotools-plugin-aroundme',
						'geotools_plugin_aroundme_principal',
						GEOTOOLS_PLUGIN_DIR_PATH.'/images/GEOTOOLS-icon.png');						

		// Sous Menu Settings
		add_submenu_page('geotools-plugin-aroundme',
						__('Geo Tools Around Me Settings', 'geo-tools'), 
						__('Geo Tools Around Me Settings', 'geo-tools'), 
						$view_level , 
						'geotools-plugin-aroundme-settings', 
						'geotools_plugin_aroundme_settings');	

		// Module A Propos
		// ***************

		// Sous Menu About
		add_submenu_page('geotools-plugin-aroundme', 
						__('About','geo-tools'), 
						__('About','geo-tools'),
						'manage_options',
						'geotools-about',
						'geotools_plugin_setup_about');
	}


	// Module Trackable
	// ****************
		
	function geotools_plugin_trackable_principal(){
		// Affiche le fichier contenant que du HTML
		include('geotools-trackable-principal.php');
	}		

	function geotools_settings(){
		// Affiche le fichier contenant que du HTML en passant par le fichier Options
		if ( function_exists('current_user_can') && !current_user_can('manage_options') ) die(__("Your are not allowed to to perform this operation", 'geo-tools'));
		if (! user_can_access_admin_page()) wp_die( __('You do not have sufficient permissions to access this page', 'geo-tools') );
		require(GEOTOOLS_PLUGIN_DIR.'/options.php');
	}		

	// Module Statbar
	// ****************

	function geotools_plugin_statbar_principal() {
		// Affiche le fichier contenant que du HTML
		include('geotools-statbar-principal.php');
	}	
	function geotools_plugin_statbar_settings() {
		// Affiche le fichier contenant que du HTML
		include('geotools-statbar-settings.php');
	}	

	// Module Around Me
	// ****************

	function geotools_plugin_aroundme_principal() {
		// Affiche le fichier contenant que du HTML
		include('geotools-aroundme-principal.php');
	}
	function geotools_plugin_aroundme_settings() {
		// Affiche le fichier contenant que du HTML
		include('geotools-aroundme-settings.php');
	}	

	// Module A Propos
	// ***************
	
	function geotools_plugin_about() {
		// Affiche le fichier contenant que du HTML
		include('geotools-about.php');
	}		
?>