<?php

	// Empeche la lecture directe du fichier
	// *************************************
	if ( ! defined( 'ABSPATH' ) ) exit;

	// Version 2.15 - 04-04-2020 - FD
	// Fixed : Affichage

	// Version 2.14 - 03-04-2020 - FD
	// Fixed : Title font Size

	// Version 2.13 - 20-03-2020 - FD
	// Mise en place pour utilisation du Statbar 


	function geotools_register_statbar_widget()
	{
		register_widget('geotools_statbar_widget');
	}

	class geotools_statbar_widget extends WP_Widget {

		// Construction du Widget
		// **********************
		
		function __construct() {
			parent::__construct(
			// widget ID
			'geotools_statbar_widget',
			// Le nom du widget
			__('Geo Tools - Statbar', 'geo-tools'),
			// La description du widget 
			array( 'description' => __('Statbar', 'geo-tools')),
			// Largeur du Widget 
			array('width' => 450)
			);
		}
		
		// Affichage des paramètres du widget dans l'admin
		// ***********************************************

		public function form( $instance ) {

			// Verifie si geotoolsstatbartitle existe sinon indique la valeur par défaut
			if ( isset( $instance[ 'geotools-statbar-title' ] ) )
				$geotoolsstatbartitle = $instance[ 'geotools-statbar-title' ];
			else
				$geotoolsstatbartitle = __('Geo Tools - Statbar', 'geo-tools');

			// Verifie si geotoolsuserid existe sinon indique la valeur par défaut
			if ( isset( $instance[ 'geotoolsuserid' ] ) )
				$geotoolsuserid = $instance[ 'geotoolsuserid' ];
			else
				$geotoolsuserid = get_current_user_id(); // Recupere le User ID de l'utilisateur en courant

			// Verifie si geotoolsstatbargeocacheur existe sinon indique la valeur par défaut
			if ( isset( $instance[ 'geotoolsstatbargeocacheur' ] ) )
				$geotoolsstatbargeocacheur = $instance[ 'geotoolsstatbargeocacheur' ];
			else
				$geotoolsstatbargeocacheur = get_option('geotools_statbar_geocacheur');
			
			// Verifie si geotoolsstatbarcitation existe sinon indique la valeur par défaut
			if ( isset( $instance[ 'geotoolsstatbarcitation' ] ) )
				$geotoolsstatbarcitation = $instance[ 'geotoolsstatbarcitation' ];
			else
				$geotoolsstatbarcitation = get_option('geotools_statbar_Citation');			

			// Verifie si geotoolsstatbarimage existe sinon indique la valeur par défaut
			if ( isset( $instance[ 'geotoolsstatbarimage' ] ) )
				$geotoolsimage = $instance[ 'geotoolsstatbarimage' ];
			else
				$geotoolsimage = '1';			

			// Verifie si geotoolsstatbarimage existe sinon indique la valeur par défaut
			if ( isset( $instance[ 'geotoolsstatbarguid' ] ) )
				$geotoolsstatbarguid = trim($instance[ 'geotoolsstatbarguid' ]);
			else
				$geotoolsstatbarguid = trim(get_option('geotools_statbar_guid'));

			// Titre des Cases du Widget Statbar
			// *********************************

			$titregeotoolsstatbartitle				= __('Title : ', 'geo-tools');
			$titregeotoolsuserid					= __('Current User ID : ', 'geo-tools');
			$titregeotoolsstatbargeocacheur			= __('Nickname : ', 'geo-tools');
			$titregeotoolsstatbarbackground			= __('Background : ', 'geo-tools');										
			$titregeotoolsstatbarcitation			= __('Message : ', 'geo-tools');
			$titregeotoolsimage					 	= __('Choose Image : ', 'geo-tools');		
			$titregeotoolsstatbarguid				= __('GUID Avatar : ', 'geo-tools');						
			
			// Case Image		
			$geotoolsimage1 		= __('Geocaching Logo', 'geo-tools');
			$geotoolsimage2 		= __('Signal the Frog', 'geo-tools');
			$geotoolsimage3 		= __('My Avatar', 'geo-tools');
			$geotoolsimage4 		= __('GSAK', 'geo-tools');			
			$geotoolsimage5 		= __('Wherigo', 'geo-tools');
			
			?>

			<!-- Titre du Widget -->						
			<p style="text-align:right;">

				<label for="<?php echo $this->get_field_id( 'geotools-statbar-title' ); ?>">
					<?php echo $titregeotoolsstatbartitle; ?>
				</label>
					<input class="widefat" style="width: 300px"
					id="<?php echo $this->get_field_id( 'geotools-statbar-title' );
					?>" name="<?php echo $this->get_field_name( 'geotools-statbar-title' );
					?>" type="text" value="<?php echo esc_attr($geotoolsstatbartitle); ?>" />
			</p>
			
			<!-- Current User ID -->			
			<p style="text-align:right;">
				<label for="<?php echo $this->get_field_id('geotoolsuserid'); ?>">
					<?php echo $titregeotoolsuserid; ?>
					<input class="widefat" style="width: 300px;
					id="<?php echo $this->get_field_id('geotoolsuserid');
					?>" name="<?php echo $this->get_field_name('geotoolsuserid');
					?>" type="text" value="<?php echo $geotoolsuserid; ?>" readonly/>
				</label>
			</p>
			<!-- Pseudo du Joueur -->			
			<p style="text-align:right;">
				<label for="<?php echo $this->get_field_id('geotoolsstatbargeocacheur'); ?>">
					<?php echo $titregeotoolsstatbargeocacheur; ?>
					<input class="widefat" style="width: 300px;
					id="<?php echo $this->get_field_id('geotoolsstatbargeocacheur');
					?>" name="<?php echo $this->get_field_name('geotoolsstatbargeocacheur');
					?>" type="text" value="<?php echo $geotoolsstatbargeocacheur; ?>" />
				</label>
			</p>
			<!-- Citation du Joueur -->			
			<p style="text-align:right;">
				<label for="<?php echo $this->get_field_id('geotoolsstatbarcitation'); ?>">
					<?php echo $titregeotoolsstatbarcitation; ?>
					<input class="widefat" style="width: 300px;
					id="<?php echo $this->get_field_id('geotoolsstatbarcitation');
					?>" name="<?php echo $this->get_field_name('geotoolsstatbarcitation');
					?>" type="text" value="<?php echo $geotoolsstatbarcitation; ?>" />
				</label>
			</p>

			<!-- Choix de l'avatar -->
			<p style="text-align:right;">
				<label for="<?php echo $this->get_field_id('geotoolsstatbarimage'); ?>">
					<?php echo $titregeotoolsimage; ?>	
					<select style="width: 300px;" id="<?php echo $this->get_field_id('geotoolsstatbarimage'); 
					?>" name="<?php echo $this->get_field_name('geotoolsstatbarimage');?>" type="text">
					
						<option value='1'
							<?php echo ($geotoolsimage=='1')?'selected':''; ?>>
							<?php echo $geotoolsimage1; ?>
						</option>
						<option value='2'
							<?php echo ($geotoolsimage=='2')?'selected':''; ?>>
							<?php echo $geotoolsimage2; ?>
						</option>
						<option value='4'
							<?php echo ($geotoolsimage=='4')?'selected':''; ?>>
							<?php echo $geotoolsimage4; ?>
						</option>
						<option value='5'
							<?php echo ($geotoolsimage=='5')?'selected':''; ?>>
							<?php echo $geotoolsimage5; ?>
						</option>
						<option value='3'
							<?php echo ($geotoolsimage=='3')?'selected':''; ?>>
							<?php echo $geotoolsimage3; ?>
						</option>
					</select>
				</label>
			</p>
			
			<!-- GUID de l'Avatar -->
			<p style="text-align:right;">
				<label for="<?php echo $this->get_field_id('geotoolsstatbarguid'); ?>">
					<?php echo $titregeotoolsstatbarguid; ?>
					<input class="widefat" style="width: 300px;
					id="<?php echo $this->get_field_id('geotoolsstatbarguid');
					?>" name="<?php echo $this->get_field_name('geotoolsstatbarguid');
					?>" type="text" value="<?php echo trim($geotoolsstatbarguid); ?>" />
				</label>
			</p>


			<!-- Fonds statbar -->			

			<p style="text-align:right;">
			<?php
			echo $titregeotoolsstatbarbackground; 
			$STbackground = GEOTOOLS_PLUGIN_DIR_PATH.'/statbar/GEOTOOLS-background.png';
			echo '<img src="';
			echo $STbackground;
			echo '" style="border:1px solid black" />';	
			?>
			</p>

			<?php
		}
		
		// Affichage du widget statbar
		// ***************************
			
		public function widget( $args, $instance ) {

			// Recuperation des donnees du Widget
			// **********************************

			$geotoolsstatbartitle = apply_filters( 'widget_title', $instance['geotools-statbar-title'] );
			
//			echo $args['before_widget'];
//			//if title is present
//			if ( ! empty( $geotoolsstatbartitle ) )

			
			$geotoolsuidstatbar = get_option('geotools_statbar_geocacheur');
			$titregeotoolsstatbaraffichage 	= $instance['geotools-statbar-title'];
			
			// Creation du lien de la Statbar trakable Geocaching
			// **************************************************

			$geotoolsfinallienstatbar		= GEOTOOLS_PLUGIN_DIR_PATH.'/statbar/'.$geotoolsuidstatbar.'statbar.png';
			$geotoolsfinalstatbar			= '<img src="'.$geotoolsfinallienstatbar.'" />';

			// Assemblage final de la Statbar Geocaching
			// *****************************************

			// Affiche de valeur en debut de Widget
			echo $args['before_widget'];
			// Titre du Widget sur le site
			echo $args['before_title'] . $titregeotoolsstatbaraffichage . $args['after_title'];
			// Affichage de ls Statbar Trackable
			echo $geotoolsfinalstatbar;
			// Affiche de valeur en fin de Widget
			echo $args['after_widget'];
	
		}
		
		// Enregistement des paramètres statbar
		// ************************************		
		
		function update($new_instance, $old_instance) {

			$instance = $old_instance;
 
			/* Récupération des paramètres envoyés */

			$instance['geotoolsuserid'] 				= strip_tags(stripslashes($new_instance['geotoolsuserid']));
			$instance['geotoolsstatbargeocacheur']	= strip_tags(stripslashes($new_instance['geotoolsstatbargeocacheur']));
			$instance['geotoolsstatbarcitation']		= strip_tags(stripslashes($new_instance['geotoolsstatbarcitation']));
			$instance['geotoolsstatbarimage']		= strip_tags(stripslashes($new_instance['geotoolsstatbarimage']));			
			$instance['geotoolsstatbarguid']			= trim(strip_tags(stripslashes($new_instance['geotoolsstatbarguid'])));			
			$instance['geotools-statbar-title'] 		= ( ! empty( $new_instance['geotools-statbar-title'] ) ) ? strip_tags( $new_instance['geotools-statbar-title'] ) : '';

			// Verifie si geotoolsstatbartitle est pas vide sinon indique la valeur par défaut
			if ($instance['geotools-statbar-title']	== '') 
			{
				$instance['geotools-statbar-title']	= __('Geo Tools - Statbar', 'geo-tools');
			}
		
			update_option('geotools_statbar_geocacheur', $instance['geotoolsstatbargeocacheur'] );
			update_option('geotools_statbar_Citation', $instance['geotoolsstatbarcitation'] );			
			update_option('geotools_statbar_image', $instance['geotoolsstatbarimage'] );						
			update_option('geotools_statbar_guid', trim($instance['geotoolsstatbarguid']) );						
			update_option('geotools-statbar-title', $instances['geotools-statbar-title'] );						

			// creation de l'image du TB
			geotools_creation_statbar();
			
			return $instance;
		
		}
		
	}

	// Ajoute le Widget a la liste
	// ***************************
	
	add_action( 'widgets_init', 'geotools_register_statbar_widget' );		
	
?>