<?php
 
	// Empeche la lecture directe du fichier
	// *************************************
	if ( ! defined( 'ABSPATH' ) ) exit;

	// Version 1.06 - 04-04-2020 - FD
	// Fixed : Affichage

	// Version 1.05 - 28-12-2017 - FD
	// Mise en place pour utilisation du TB

	// Version 1.01 - 28-12-2017 - FD
	// Mise en place pour utilisation du Trackable 


	function geotools_register_trackable_widget()
	{
		register_widget('geotools_trackable_widget');
	}

	class geotools_trackable_widget extends WP_Widget {

		// Construction du Widget
		// **********************
		
		function __construct() {
			parent::__construct(
			// widget ID
			'geotools_trackable_widget',
			// Le nom du widget
			__('Geo Tools - Trackable', 'geo-tools'),
			// La description du widget 
			array( 'description' => __('Trackable', 'geo-tools')),
			// Largeur du Widget 
			array('width' => 350)
			);
		}
	
		// Affichage des paramètres du widget dans l'admin
		// ***********************************************
		
		public function form( $instance ) {


			// Verifie si geotoolstrackabletitle existe sinon indique la valeur par défaut
			if ( isset( $instance[ 'geotools-trackable-title' ] ) )
				$geotoolstrackabletitle = $instance[ 'geotools-trackable-title' ];
			else
				$geotoolstrackabletitle = __('Geo Tools - Trackable', 'geo-tools');

			// Verifie si geotoolsuserid existe sinon indique la valeur par défaut
			if ( isset( $instance[ 'geotoolsuserid' ] ) )
				$geotoolsuserid = $instance[ 'geotoolsuserid' ];
			else
				$geotoolsuserid = get_current_user_id(); // Recupere le User ID de l'utilisateur en courant

			// Verifie si geotoolsusername existe sinon indique la valeur par défaut
			if ( isset( $instance[ 'geotoolstrackablenumber' ] ) )
				$geotoolstrackablenumber = $instance[ 'geotoolstrackablenumber' ];
			else
				$geotoolstrackablenumber = get_option('geotoolsTBNumber');

			// Titre des Cases du Widget Trackable
			// ***********************************

			$titregeotoolstitle						= __('Title : ', 'geo-tools');
			$titregeotoolsuserid					= __('Current User ID : ', 'geo-tools');
			$titregeotoolstrackablenumber			= __('Trackable : ', 'geo-tools');
			$titregeotoolstrackablebackground		= __('Background : ', 'geo-tools');							

			?>

			<!-- Titre du Widget -->						
			<p style="text-align:right;">

				<label for="<?php echo $this->get_field_id( 'geotools-trackable-title' ); ?>">
					<?php echo $titregeotoolstitle; ?>
				</label>
					<input class="widefat" style="width: 200px"
					id="<?php echo $this->get_field_id( 'geotools-trackable-title' );
					?>" name="<?php echo $this->get_field_name( 'geotools-trackable-title' );
					?>" type="text" value="<?php echo esc_attr($geotoolstrackabletitle); ?>" />
			</p>
			
			<!-- Current User ID -->			
			<p style="text-align:right;">
				<label for="<?php echo $this->get_field_id('geotoolsuserid'); ?>">
					<?php echo $titregeotoolsuserid; ?>
					<input class="widefat" style="width: 200px;
					id="<?php echo $this->get_field_id('geotoolsuserid');
					?>" name="<?php echo $this->get_field_name('geotoolsuserid');
					?>" type="text" value="<?php echo $geotoolsuserid; ?>" readonly/>
				</label>
			</p>

			<!-- Numero Trackable -->			
			<p style="text-align:right;">
				<label for="<?php echo $this->get_field_id('geotoolstrackablenumber'); ?>">
					<?php echo $titregeotoolstrackablenumber; ?>
					<input class="widefat" style="width: 200px;
					id="<?php echo $this->get_field_id('geotoolstrackablenumber');
					?>" name="<?php echo $this->get_field_name('geotoolstrackablenumber');
					?>" type="text" value="<?php echo $geotoolstrackablenumber; ?>" />
				</label>
			</p>

			<!-- Fonds Trackable -->			

			<p style="text-align:right;">
			<?php
			echo $titregeotoolstrackablebackground; 
			$TBbackground = GEOTOOLS_PLUGIN_DIR_PATH.'/trackable/GEOTOOLS-background.png';
			echo '<img src="';
			echo $TBbackground;
			echo '" style="border:1px solid black" />';	
			?>
			</p>

		<?php
			
		}

		// Affichage du widget trackable sur le site final
		// ***********************************************		
		
		public function widget( $args, $instance ) {

			// Recuperation des donnees du Widget
			// **********************************

			$geotoolstrackabletitle = apply_filters( 'widget_title', $instance['geotools-trackable-title'] );
			
			//echo $args['before_widget'];
			//if title is present
			//if ( ! empty( $geotoolstrackabletitle ) )
			
			$geotoolsuid 					= $instance['geotoolstrackablenumber'];
			$titregeotoolstitleaffichage 	= $instance['geotools-trackable-title'];
			
			// Creation du lien de la Trackable trakable Geocaching
			// **************************************************

			$geotoolsfinallien		= GEOTOOLS_PLUGIN_DIR_PATH.'/trackable/'.$geotoolsuid.'tb.png';
			$geotoolsfinal			= '<img src="'.$geotoolsfinallien.'" />';

			// Assemblage final de la Trackable trackable Geocaching
			// ***************************************************

			// Affiche de valeur en debut de Widget
			echo $args['before_widget'];
			// Titre du Widget sur le site
			echo $args['before_title'] . $titregeotoolstitleaffichage . $args['after_title'];
			// Affichage de ls Trackable Trackable
			echo $geotoolsfinal;
			// Affiche de valeur en fin de Widget
			echo $args['after_widget'];

		}

		// Enregistement des paramètres trackable
		// **************************************		
		
		function update($new_instance, $old_instance) {
		
			$instance = $old_instance;
 
			/* Récupération des paramètres envoyés */

			$instance['geotoolsuserid'] 			= strip_tags(stripslashes($new_instance['geotoolsuserid']));
			$instance['geotoolstrackablenumber']	= strtoupper(strip_tags(stripslashes($new_instance['geotoolstrackablenumber'])));
			$instance['geotools-trackable-title'] 	= ( ! empty( $new_instance['geotools-trackable-title'] ) ) ? strip_tags( $new_instance['geotools-trackable-title'] ) : '';

			// Verifie si geotoolstrackabletitle est pas vide sinon indique la valeur par défaut
			if ($instance['geotools-trackable-title']	== '') 
			{
				$instance['geotools-trackable-title']	= __('Geo Tools - Trackable', 'geo-tools');
			}
			
			update_option('geotoolsTBNumber', $instance['geotoolstrackablenumber'] );
			update_option('geotools-trackable-title', $instance['geotools-trackable-title'] );			

			// creation de l'image du TB
			geotools_creation_trackable();
			
			return $instance;
			
		}
		
	}
	
	// Ajoute le Widget a la liste
		// ***********************
		
	add_action( 'widgets_init', 'geotools_register_trackable_widget' );	

	?>